Package com.avaya.clientservices.media.capture

## Enum VideoCaptureController.Params

- java.lang.Object
- - java.lang.Enum<VideoCaptureController.Params>
  - - com.avaya.clientservices.media.capture.VideoCaptureController.Params

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoCaptureController.Params>`
  Enclosing class:
    VideoCaptureController

      public static enum VideoCaptureController.Params
      extends java.lang.Enum<VideoCaptureController.Params>

  List of supported capture modes.
  A mobile camera can be oriented in portrait or landscape; however, connecting to a Multipoint Conferencing Unit (MCU) requires all video to be output in a 16:9 landscape format. The following raw capture sizes are used to adapt video captured in portrait (with the camera physically rotated) into a landscape format.
  640x480
  - rotated to 480x640
  - cropped to 480x270
  1280x960
  - rotated to 960x1280
  - cropped to 960x540
  1280x720
  - rotated to 720x1280
  - cropped to 720x540
  - padded to 960x540 with black or blurred bars
  On iPhone, this technique of capturing at 1280x720 has a wider field-of-view (fov) than our previous 640x480 to 480x270.
  On Android Pixel 3, it's actually a narrower fov than before.
  Some Androids have a 1280x960 mode with a wider fov; which does not require black bars. Selecting 540p will search for a 1280x960 mode first, and if not present, settle on 1280x720.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LandscapePortrait_p1080_15` |
    `LandscapePortrait_p1080_30` |
    `LandscapePortrait_p272_15` |
    `LandscapePortrait_p272_30` |
    `LandscapePortrait_p540_15` |
    `LandscapePortrait_p540_30` |
    `LandscapePortrait_p720_15` |
    `LandscapePortrait_p720_30` |
    `p1080_15` |
    `p1080_30` |
    `p180_15` |
    `p180_30` |
    `p240_15` |
    `p240_30` |
    `p272_15` |
    `p272_30` |
    `p352_15` |
    `p352_30` |
    `p360_15` |
    `p360_30` |
    `p480_15` |
    `p480_30` |
    `p540_15` |
    `p540_30` |
    `p540_30_native` |
    `p720_15` |
    `p720_30` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `framesPerSecond` |
    `int` | `inputHeight` |
    `int` | `inputWidth` |
    `int` | `outputHeight` |
    `boolean` | `outputRotate` |
    `boolean` | `outputScale` |
    `int` | `outputWidth` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoCaptureController.Params` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoCaptureController.Params[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### p1080_30

          public static final VideoCaptureController.Params p1080_30

    - #### p1080_15

          public static final VideoCaptureController.Params p1080_15

    - #### p720_30

          public static final VideoCaptureController.Params p720_30

    - #### p720_15

          public static final VideoCaptureController.Params p720_15

    - #### p540_30

          public static final VideoCaptureController.Params p540_30

    - #### p540_30_native

          public static final VideoCaptureController.Params p540_30_native

    - #### p540_15

          public static final VideoCaptureController.Params p540_15

    - #### p480_30

          public static final VideoCaptureController.Params p480_30

    - #### p480_15

          public static final VideoCaptureController.Params p480_15

    - #### p360_30

          public static final VideoCaptureController.Params p360_30

    - #### p360_15

          public static final VideoCaptureController.Params p360_15

    - #### p352_30

          public static final VideoCaptureController.Params p352_30

    - #### p352_15

          public static final VideoCaptureController.Params p352_15

    - #### p272_30

          public static final VideoCaptureController.Params p272_30

    - #### p272_15

          public static final VideoCaptureController.Params p272_15

    - #### p240_30

          public static final VideoCaptureController.Params p240_30

    - #### p240_15

          public static final VideoCaptureController.Params p240_15

    - #### p180_30

          public static final VideoCaptureController.Params p180_30

    - #### p180_15

          public static final VideoCaptureController.Params p180_15

    - #### LandscapePortrait_p1080_30

          public static final VideoCaptureController.Params LandscapePortrait_p1080_30

    - #### LandscapePortrait_p1080_15

          public static final VideoCaptureController.Params LandscapePortrait_p1080_15

    - #### LandscapePortrait_p720_30

          public static final VideoCaptureController.Params LandscapePortrait_p720_30

    - #### LandscapePortrait_p720_15

          public static final VideoCaptureController.Params LandscapePortrait_p720_15

    - #### LandscapePortrait_p540_30

          public static final VideoCaptureController.Params LandscapePortrait_p540_30

    - #### LandscapePortrait_p540_15

          public static final VideoCaptureController.Params LandscapePortrait_p540_15

    - #### LandscapePortrait_p272_30

          public static final VideoCaptureController.Params LandscapePortrait_p272_30

    - #### LandscapePortrait_p272_15

          public static final VideoCaptureController.Params LandscapePortrait_p272_15

  - ### Field Detail

    - #### framesPerSecond

          public final int framesPerSecond

    - #### inputWidth

          public final int inputWidth

    - #### inputHeight

          public final int inputHeight

    - #### outputWidth

          public final int outputWidth

    - #### outputHeight

          public final int outputHeight

    - #### outputRotate

          public final boolean outputRotate

    - #### outputScale

          public final boolean outputScale

  - ### Method Detail

    - #### values

          public static VideoCaptureController.Params[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoCaptureController.Params c : VideoCaptureController.Params.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoCaptureController.Params valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null